Need help installing 3.0.0

If you are using wxDev-C++ for your wxWidgets design, please ask your questions here instead of in IDE Related.
Post Reply
Tony0945
Experienced Solver
Experienced Solver
Posts: 96
Joined: Wed Oct 21, 2009 4:02 pm

Need help installing 3.0.0

Post by Tony0945 » Tue Feb 18, 2014 7:20 pm

I've been trying for the last five hours to install wxwidgets 3.0.0. I downloaded and built it per the sourceforge instructions. I then copied libraries and altered the directory tab in wx-dev-c++. I kept getting errors of duplicate definitions in the linker. I then made a devpack and installed it. Then the application build complained again. I then followed these instructions,http://forums.wxwidgets.org/viewtopic.php?f=28&t=1764, and the compiler complained it couldn't find setup.h. I copied setup.h but now it complains that "wxString is not a type".

Is the layout of wxwidegets-3.0.0 too different for wx-dev-c++ to use it? Is that why we don't have an official devpak?

Post Reply